from .utils.RealiBoxRequestBase import RealiBoxRequestBase


class RealiBoxRequest(RealiBoxRequestBase):
    '''
    获取响应对象的属性
    '''

    @property
    def json(self):
        try:
            js_resp = self.RESPONSE.json()
        except Exception:
            js_resp = {'__TEXT__': self.RESPONSE.text}
        return js_resp

    @property
    def text(self):
        return self.RESPONSE.text

    @property
    def status_code(self):
        return self.RESPONSE.status_code

    @property
    def cookies(self):
        return self.RESPONSE.cookies

    @property
    def headers(self):
        return self.RESPONSE.headers

    @property
    def content(self):
        return self.RESPONSE.content

    @property
    def content_length(self):
        return self.RESPONSE.headers['content-length']



