import requests
from ..Cerebro import Cerebro

cerebro = Cerebro()


class VariableMeta(type):

    def __call__(self, var_name, *args, **kwargs):
        # 从Cerebro中读取当前的环境
        resp = requests.request(**{
            'url': 'http://172.16.101.107:7075/config/environment/query',
            'method': 'GET',
            'params': {
                'name': cerebro.test_environment
            }}).json()
        if not resp['code'] == 200:
            raise
        # 当前的环境id
        env_id = resp['data']

        resp = requests.request(**{
            'url': 'http://172.16.101.107:7075/config/variable/query',
            'method': 'GET',
            'params': {
                'env_id': env_id,
                'var_name': var_name
            }
        }).json()
        if not resp['code'] == 200:
            raise
        return resp['data']