'''
本地的flask服务
    1、用户将用例的流程在界面展示
'''

import os
from flask import Flask
import json

app = Flask(__name__)


@app.route('/<string:case_class_name>', methods=['GET'])
def url(case_class_name):
    if case_class_name == 'favicon.ico':
        return {}
    file = os.path.join('.cache', f'.{case_class_name}.json')
    result = json.load(open(file, 'r', encoding="utf-8"))
    return result


app.debug = True  # 设置调试模式，生产模式的时候要关掉debug
# app.run(port=4443)
