import re
from .VariablesReader import VariableReader


# 替换字符串中的模版字符串
def sub_string_template(string, V):
    '''
    替换字符串中的模版字符串
    :param string: 初始字符串
    :param case_object:用例变量对象， 用于替换 $${}
    :return:
    '''
    # 匹配环境变量 ： 匹配符合 $(str) 的内容
    env_var_list = re.findall(r'[^\$]\${1}\((.*?)\)', string)
    #   遍历替换成实际的环境变量
    for tmp in env_var_list:
        data = VariableReader(tmp)
        string = string.replace(f'$({tmp})', data)
    # 匹配用例变量 ： 匹配符合 $${str} 的内容
    case_val_list = re.findall(r'\${2}\((.*?)\)', string)
    #   遍历替换成实际的环境变量
    for tmp in case_val_list:
        data = getattr(V, tmp)
        string = string.replace(f'$$({tmp})', str(data))
    return string